-- Sample2.lua

-- constant
MESSAGE = {"Test 2 Success!!!", "テスト 2 成功!!!"}

-- global
state = 0
lang = 1

-- junction
function Initialize()
  LP:Remark("ver. 1.1 by Q+")
  LP:Status([[waiting "test1" ...]])
  if LP:Variable("LANGUAGE") == "ja-JP" then
    lang = 2
  end
  LP:AddEvent([[(?i:test1)]], "Test1")
end

function Terminate()
end

-- event
function Test1(p, s)
  if state == 0 then
    state = 1
    LP:AddEvent([[(?i:test2)]], "Test2")
    LP:Status([[waiting "test2" ...]])
  end
end

function Test2(p, s)
  LP:Status([[counting down ...]])
  for i = 5, 0, -1 do
    if LP:State() ~= 0 then
      return
    end
    LP:Prompt(4, i, 1000, "#aaffff00")
    LP:Sleep(1000)
  end
  LP:Prompt(1, MESSAGE[lang])
  LP:Sound([[C:\Windows\Media\ding.wav]])
  LP:RemoveEvent([[(?i:test2)]])
  LP:Status('waiting "test1" ...')
  state = 0
end
